BIN = bin
OBJ = obj
SRC = src
INCLUDE = include
CFLAGS =
CLIBS = -lusb-1.0
GNUMAKEFLAGS = --no-print-directory



VERBOSE_THRESHOLD?=3

RELEASE?=0
ifeq ($(RELEASE), 1)
	CFLAGS = -W -Wall
	VERBOSE_THRESHOLD = 0
else
	CFLAGS = -W -Wall -g -O0
endif



all : main demostep



main :
	echo "Here compile the main program"

demostep : STEP4.1



STEP4.1 : ${SRC}/GetUsbInfos.c bin
	gcc -o ${BIN}/STEP4.1.out ${SRC}/GetUsbInfos.c ${CLIBS} ${CFLAGS}

STEP4.2 : ${SRC}/FourPointTwo.c bin
	gcc -o ${BIN}/STEP4.2.out ${SRC}/FourPointTwo.c ${CLIBS} ${CFLAGS}

STEP4.3 : ${SRC}/FourPointThree.c bin
	gcc -o ${BIN}/STEP4.3.out ${SRC}/FourPointThree.c ${CLIBS} ${CFLAGS}

obj :
	@-mkdir ${OBJ}

bin :
	@-mkdir ${BIN}

clean :
	rm -rf obj/*.o

mrproper: clean
	rm -rf bin
	rm -rf obj

